"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FSXAApiSingleton = void 0;
var Logger_1 = require("./Logger");
var FSXAApiSingleton = /** @class */ (function () {
    function FSXAApiSingleton() {
    }
    FSXAApiSingleton.init = function (api, options) {
        if (options === void 0) { options = {}; }
        this._logger = new Logger_1.Logger(options.logLevel || Logger_1.LogLevel.ERROR, 'FSXAApiSingleton');
        this._api = api;
        this._logger.debug('FSXA-Api initialized with api:', api);
        if (typeof options.enableEventStream !== 'undefined') {
            this._api.enableEventStream(options.enableEventStream);
        }
        return this._api;
    };
    Object.defineProperty(FSXAApiSingleton, "instance", {
        get: function () {
            if (!this._api) {
                throw new Error('The FSXA-Api needs to be initialized. Call .init() first.');
            }
            return this._api;
        },
        enumerable: false,
        configurable: true
    });
    return FSXAApiSingleton;
}());
exports.FSXAApiSingleton = FSXAApiSingleton;
//# sourceMappingURL=FSXAApiSingleton.js.map