"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateRandomConfig = void 0;
var faker_1 = __importDefault(require("faker"));
var enums_1 = require("../enums");
var modules_1 = require("../modules");
var generateRandomConfig = function () {
    var API_KEY = faker_1.default.datatype.uuid();
    var CAAS_URL = faker_1.default.internet.url();
    var NAVIGATION_SERVICE_URL = faker_1.default.internet.url();
    var TENANT_ID = faker_1.default.internet.domainWord();
    var PROJECT_ID = faker_1.default.datatype.uuid();
    var CONTENT_MODE = faker_1.default.datatype.boolean()
        ? enums_1.FSXAContentMode.PREVIEW
        : enums_1.FSXAContentMode.RELEASE;
    var REMOTES = {
        remote: {
            id: faker_1.default.datatype.uuid(),
            locale: faker_1.default.locale + "_" + faker_1.default.locale.toUpperCase(),
        },
        secondRemote: {
            id: faker_1.default.datatype.uuid(),
            locale: faker_1.default.locale + "_" + faker_1.default.locale.toUpperCase(),
        },
    };
    return {
        apikey: API_KEY,
        caasURL: CAAS_URL,
        navigationServiceURL: NAVIGATION_SERVICE_URL,
        tenantID: TENANT_ID,
        projectID: PROJECT_ID,
        remotes: REMOTES,
        contentMode: CONTENT_MODE,
        logLevel: modules_1.LogLevel.NONE,
    };
};
exports.generateRandomConfig = generateRandomConfig;
//# sourceMappingURL=generateRandomConfig.js.map