export declare enum FSXAApiErrors {
    UNKNOWN_CONTENT_MODE = "The content mode must be preview or release.",
    UNKNOWN_API_MODE = "The api mode must be remote or proxy.",
    UNKNOWN_ERROR = "An unknown error occured. Please check the logs for more information.",
    UNKNOWN_REMOTE = "The specified remote project was not found in the configuration. [remotes]",
    MISSING_BASE_URL = "You do need to specify a baseUrl in proxy mode.",
    MISSING_API_KEY = "No CaaS-ApiKey was passed via the configuration. [apiKey]",
    MISSING_CAAS_URL = "No CaaS-URL was passed via the configuration. [caas]",
    MISSING_NAVIGATION_SERVICE_URL = "No CaaS-URL was passed via the configuration. [navigationService]",
    MISSING_PROJECT_ID = "No projectId was passed via the configuration. [projectId]",
    MISSING_TENANT_ID = "No tenantId was passed via the configuration. [tenantId]",
    NOT_AUTHORIZED = "Your passed ApiKey has no access to the requested resource",
    NOT_FOUND = "Resource could not be found",
    MISSING_REMOTE_LOCALE = "The specified remote project did not include a locale",
    MISSING_REMOTE_ID = "The specified remote project did not include an id",
    INVALID_LOCALE = "The specified locale is not valid, locale needs to be a string of format \"xx_YY\""
}
export declare enum FSXAProxyRoutes {
    FETCH_ELEMENT_ROUTE = "/elements",
    FETCH_NAVIGATION_ROUTE = "/navigation",
    FETCH_BY_FILTER_ROUTE = "/filter",
    FETCH_PROPERTIES_ROUTE = "/properties",
    STREAM_CHANGE_EVENTS_ROUTE = "/change-stream"
}
export declare enum FSXAContentMode {
    PREVIEW = "preview",
    RELEASE = "release"
}
export declare enum ImageMapAreaType {
    CIRCLE = "circle",
    RECT = "rect",
    POLY = "poly"
}
export declare enum HttpStatus {
    CONTINUE = 100,
    SWITCHING_PROTOCOLS = 101,
    PROCESSING = 102,
    EARLYHINTS = 103,
    OK = 200,
    CREATED = 201,
    ACCEPTED = 202,
    NON_AUTHORITATIVE_INFORMATION = 203,
    NO_CONTENT = 204,
    RESET_CONTENT = 205,
    PARTIAL_CONTENT = 206,
    AMBIGUOUS = 300,
    MOVED_PERMANENTLY = 301,
    FOUND = 302,
    SEE_OTHER = 303,
    NOT_MODIFIED = 304,
    TEMPORARY_REDIRECT = 307,
    PERMANENT_REDIRECT = 308,
    BAD_REQUEST = 400,
    UNAUTHORIZED = 401,
    PAYMENT_REQUIRED = 402,
    FORBIDDEN = 403,
    NOT_FOUND = 404,
    METHOD_NOT_ALLOWED = 405,
    NOT_ACCEPTABLE = 406,
    PROXY_AUTHENTICATION_REQUIRED = 407,
    REQUEST_TIMEOUT = 408,
    CONFLICT = 409,
    GONE = 410,
    LENGTH_REQUIRED = 411,
    PRECONDITION_FAILED = 412,
    PAYLOAD_TOO_LARGE = 413,
    URI_TOO_LONG = 414,
    UNSUPPORTED_MEDIA_TYPE = 415,
    REQUESTED_RANGE_NOT_SATISFIABLE = 416,
    EXPECTATION_FAILED = 417,
    I_AM_A_TEAPOT = 418,
    MISDIRECTED = 421,
    UNPROCESSABLE_ENTITY = 422,
    FAILED_DEPENDENCY = 424,
    PRECONDITION_REQUIRED = 428,
    TOO_MANY_REQUESTS = 429,
    INTERNAL_SERVER_ERROR = 500,
    NOT_IMPLEMENTED = 501,
    BAD_GATEWAY = 502,
    SERVICE_UNAVAILABLE = 503,
    GATEWAY_TIMEOUT = 504,
    HTTP_VERSION_NOT_SUPPORTED = 505
}
